#ifndef QGISMTTOOLZOOM_H
#define QGISMTTOOLZOOM_H

#include "qgismttool.h"
#include <qgsmapcanvas.h>
#include <QTransform>

class QGisMTToolZoom : public QGisMTTool
{
    Q_OBJECT
public:
    QGisMTToolZoom(QgsMapCanvas *canvas);

signals:

public slots:
    virtual void toolAction(const QLine& l1, const QLine& l2);
    virtual void toolActionEnd() ;

protected:
    QTransform zoomMat;
    float dist(QPoint p1, QPoint p2);
};

#endif // QGISMTTOOLZOOM_H
